whoami | ( grep root || ( echo need root && exit 1) )
whoami | ( grep root || ( exit 1) )

mkdir mnt
umount edit
umount squashfs
umount mnt

rm -rf edit-rw edit squashfs
rm extract-cd/casper/filesystem.squashfs

mount -o loop ubuntu-7.10-desktop-i386.iso mnt
mkdir extract-cd
echo RSYNCING
rsync -a mnt/ extract-cd
#rsync --exclude=/casper/filesystem.squashfs -a mnt/ extract-cd
#mount -t squashfs -o loop mnt/casper/filesystem.squashfs squashfs
#funionfs filestoadd edit -o dirs=squashfs || exit 1

mksquashfs newroot extract-cd/casper/filesystem.squashfs -root-becomes o #OriginalLiveCD

bash -c "rm extract-cd/md5sum.txt ; (cd extract-cd && find . -type f -print0 | xargs -0 md5sum > md5sum.txt)"
cd extract-cd
#mkisofs -r -V "$IMAGE_NAME" -cache-inodes -J -l -b isolinux/isolinux.bin -c isolinux/boot.cat -no-emul-boot -boot-load-size 4 -boot-info-table -o ../custom.iso
mkisofs -r -V "Custom Ubuntu LiveCD" -cache-inodes -J -l -b isolinux/isolinux.bin -c isolinux/boot.cat -no-emul-boot -boot-load-size 4 -boot-info-table -o ../../ubuntu-new.iso .

#su xp -c "VBoxManage controlvm 'My test iso' poweroff"
sleep 1
#su xp -c "VBoxManage startvm 'My test iso'"
